import{s as Te,n as xe,o as Ce}from"../chunks/scheduler.85c25b89.js";import{S as je,i as ke,g as i,s,u as c,A as He,h as a,f as e,c as o,j as p,v as d,y as m,k as h,o as r,a as n,w as u,d as f,t as v,x as $}from"../chunks/index.9633332f.js";import{I as Xt}from"../chunks/IconCopyLink.a4acffac.js";import{C as T}from"../chunks/CodeBlock.00597c71.js";function Ue(te){let y,ft,pt,vt,w,x,ht,H,zt,K,ee="Installation",$t,U,le="Before you start, you’ll need to setup your environment and install the appropriate packages. <code>timm</code> is tested on <strong>Python 3+</strong>.",gt,b,C,mt,W,Bt,tt,ne="Virtual Environment",yt,G,ie='You should install <code>timm</code> in a <a href="https://docs.python.org/3/library/venv.html" rel="nofollow">virtual environment</a> to keep things tidy and avoid dependency conflicts.',wt,g,L,et,ae="Create and navigate to your project directory:",Yt,I,Ft,E,lt,se="Start a virtual environment inside your directory:",Vt,N,qt,_,nt,oe="Activate and deactivate the virtual environment with the following commands:",Qt,R,Dt,it,re="<code>Once you&#39;ve created your virtual environment, you can install</code>timm` in it.",bt,M,j,ct,P,Ot,at,pe="Using pip",_t,Z,he="The most straightforward way to install <code>timm</code> is with pip:",Mt,A,Jt,S,me="Alternatively, you can install <code>timm</code> from GitHub directly to get the latest, bleeding-edge version:",Tt,X,xt,z,ce="Run the following command to check if <code>timm</code> has been properly installed:",Ct,B,jt,Y,de="This command lists the first five pretrained models available in <code>timm</code> (which are sorted alphebetically). You should see the following output:",kt,F,Ht,J,k,dt,V,Kt,st,ue="From Source",Ut,q,fe="Building <code>timm</code> from source lets you make changes to the code base. To install from the source, clone the repository and install with the following commands:",Wt,Q,Gt,D,ve="Again, you can check if <code>timm</code> was properly installed with the following command:",Lt,O,It,ut,Et;return H=new Xt({}),W=new Xt({}),I=new T({props:{code:"bWtkaXIlMjB+JTJGbXktcHJvamVjdCUwQWNkJTIwfiUyRm15LXByb2plY3Q=",highlighted:`<span class="hljs-built_in">mkdir</span> ~/my-project
<span class="hljs-built_in">cd</span> ~/my-project`}}),N=new T({props:{code:"cHl0aG9uJTIwLW0lMjB2ZW52JTIwLmVudg==",highlighted:'python -m venv .<span class="hljs-built_in">env</span>'}}),R=new T({props:{code:"JTIzJTIwQWN0aXZhdGUlMjB0aGUlMjB2aXJ0dWFsJTIwZW52aXJvbm1lbnQlMEFzb3VyY2UlMjAuZW52JTJGYmluJTJGYWN0aXZhdGUlMEElMEElMjMlMjBEZWFjdGl2YXRlJTIwdGhlJTIwdmlydHVhbCUyMGVudmlyb25tZW50JTBBc291cmNlJTIwLmVudiUyRmJpbiUyRmRlYWN0aXZhdGU=",highlighted:`<span class="hljs-comment"># Activate the virtual environment</span>
<span class="hljs-built_in">source</span> .<span class="hljs-built_in">env</span>/bin/activate

<span class="hljs-comment"># Deactivate the virtual environment</span>
<span class="hljs-built_in">source</span> .<span class="hljs-built_in">env</span>/bin/deactivate`}}),P=new Xt({}),A=new T({props:{code:"cGlwJTIwaW5zdGFsbCUyMHRpbW0=",highlighted:"pip install timm"}}),X=new T({props:{code:"cGlwJTIwaW5zdGFsbCUyMGdpdCUyQmh0dHBzJTNBJTJGJTJGZ2l0aHViLmNvbSUyRnJ3aWdodG1hbiUyRnB5dG9yY2gtaW1hZ2UtbW9kZWxzLmdpdA==",highlighted:"pip install git+https://github.com/rwightman/pytorch-image-models.git"}}),B=new T({props:{code:"cHl0aG9uJTIwLWMlMjAlMjJmcm9tJTIwdGltbSUyMGltcG9ydCUyMGxpc3RfbW9kZWxzJTNCJTIwcHJpbnQobGlzdF9tb2RlbHMocHJldHJhaW5lZCUzRFRydWUpJTVCJTNBNSU1RCklMjI=",highlighted:'python -c <span class="hljs-string">&quot;from timm import list_models; print(list_models(pretrained=True)[:5])&quot;</span>'}}),F=new T({props:{code:"JTVCJ2Fkdl9pbmNlcHRpb25fdjMnJTJDJTIwJ2JhdF9yZXNuZXh0MjZ0cyclMkMlMjAnYmVpdF9iYXNlX3BhdGNoMTZfMjI0JyUyQyUyMCdiZWl0X2Jhc2VfcGF0Y2gxNl8yMjRfaW4yMmsnJTJDJTIwJ2JlaXRfYmFzZV9wYXRjaDE2XzM4NCclNUQ=",highlighted:'[<span class="hljs-string">&#x27;adv_inception_v3&#x27;</span>, <span class="hljs-string">&#x27;bat_resnext26ts&#x27;</span>, <span class="hljs-string">&#x27;beit_base_patch16_224&#x27;</span>, <span class="hljs-string">&#x27;beit_base_patch16_224_in22k&#x27;</span>, <span class="hljs-string">&#x27;beit_base_patch16_384&#x27;</span>]'}}),V=new Xt({}),Q=new T({props:{code:"Z2l0JTIwY2xvbmUlMjBodHRwcyUzQSUyRiUyRmdpdGh1Yi5jb20lMkZyd2lnaHRtYW4lMkZweXRvcmNoLWltYWdlLW1vZGVscy5naXQlMEFjZCUyMHRpbW0lMEFwaXAlMjBpbnN0YWxsJTIwLWUlMjAu",highlighted:`git <span class="hljs-built_in">clone</span> https://github.com/rwightman/pytorch-image-models.git
<span class="hljs-built_in">cd</span> timm
pip install -e .`}}),O=new T({props:{code:"cHl0aG9uJTIwLWMlMjAlMjJmcm9tJTIwdGltbSUyMGltcG9ydCUyMGxpc3RfbW9kZWxzJTNCJTIwcHJpbnQobGlzdF9tb2RlbHMocHJldHJhaW5lZCUzRFRydWUpJTVCJTNBNSU1RCklMjI=",highlighted:'python -c <span class="hljs-string">&quot;from timm import list_models; print(list_models(pretrained=True)[:5])&quot;</span>'}}),{c(){y=i("meta"),ft=s(),pt=i("p"),vt=s(),w=i("h1"),x=i("a"),ht=i("span"),c(H.$$.fragment),zt=s(),K=i("span"),K.textContent=ee,$t=s(),U=i("p"),U.innerHTML=le,gt=s(),b=i("h2"),C=i("a"),mt=i("span"),c(W.$$.fragment),Bt=s(),tt=i("span"),tt.textContent=ne,yt=s(),G=i("p"),G.innerHTML=ie,wt=s(),g=i("ol"),L=i("li"),et=i("p"),et.textContent=ae,Yt=s(),c(I.$$.fragment),Ft=s(),E=i("li"),lt=i("p"),lt.textContent=se,Vt=s(),c(N.$$.fragment),qt=s(),_=i("li"),nt=i("p"),nt.textContent=oe,Qt=s(),c(R.$$.fragment),Dt=s(),it=i("p"),it.innerHTML=re,bt=s(),M=i("h2"),j=i("a"),ct=i("span"),c(P.$$.fragment),Ot=s(),at=i("span"),at.textContent=pe,_t=s(),Z=i("p"),Z.innerHTML=he,Mt=s(),c(A.$$.fragment),Jt=s(),S=i("p"),S.innerHTML=me,Tt=s(),c(X.$$.fragment),xt=s(),z=i("p"),z.innerHTML=ce,Ct=s(),c(B.$$.fragment),jt=s(),Y=i("p"),Y.innerHTML=de,kt=s(),c(F.$$.fragment),Ht=s(),J=i("h2"),k=i("a"),dt=i("span"),c(V.$$.fragment),Kt=s(),st=i("span"),st.textContent=ue,Ut=s(),q=i("p"),q.innerHTML=fe,Wt=s(),c(Q.$$.fragment),Gt=s(),D=i("p"),D.innerHTML=ve,Lt=s(),c(O.$$.fragment),It=s(),ut=i("p"),this.h()},l(t){const l=He("svelte-1phssyn",document.head);y=a(l,"META",{name:!0,content:!0}),l.forEach(e),ft=o(t),pt=a(t,"P",{}),p(pt).forEach(e),vt=o(t),w=a(t,"H1",{class:!0});var Nt=p(w);x=a(Nt,"A",{id:!0,class:!0,href:!0});var $e=p(x);ht=a($e,"SPAN",{});var ge=p(ht);d(H.$$.fragment,ge),ge.forEach(e),$e.forEach(e),zt=o(Nt),K=a(Nt,"SPAN",{"data-svelte-h":!0}),m(K)!=="svelte-99g31l"&&(K.textContent=ee),Nt.forEach(e),$t=o(t),U=a(t,"P",{"data-svelte-h":!0}),m(U)!=="svelte-1qm30ue"&&(U.innerHTML=le),gt=o(t),b=a(t,"H2",{class:!0});var Rt=p(b);C=a(Rt,"A",{id:!0,class:!0,href:!0});var ye=p(C);mt=a(ye,"SPAN",{});var we=p(mt);d(W.$$.fragment,we),we.forEach(e),ye.forEach(e),Bt=o(Rt),tt=a(Rt,"SPAN",{"data-svelte-h":!0}),m(tt)!=="svelte-z8ko6p"&&(tt.textContent=ne),Rt.forEach(e),yt=o(t),G=a(t,"P",{"data-svelte-h":!0}),m(G)!=="svelte-1tspkue"&&(G.innerHTML=ie),wt=o(t),g=a(t,"OL",{});var ot=p(g);L=a(ot,"LI",{});var Pt=p(L);et=a(Pt,"P",{"data-svelte-h":!0}),m(et)!=="svelte-1r7xizg"&&(et.textContent=ae),Yt=o(Pt),d(I.$$.fragment,Pt),Pt.forEach(e),Ft=o(ot),E=a(ot,"LI",{});var Zt=p(E);lt=a(Zt,"P",{"data-svelte-h":!0}),m(lt)!=="svelte-f9gewz"&&(lt.textContent=se),Vt=o(Zt),d(N.$$.fragment,Zt),Zt.forEach(e),qt=o(ot),_=a(ot,"LI",{});var rt=p(_);nt=a(rt,"P",{"data-svelte-h":!0}),m(nt)!=="svelte-1emagpr"&&(nt.textContent=oe),Qt=o(rt),d(R.$$.fragment,rt),Dt=o(rt),it=a(rt,"P",{"data-svelte-h":!0}),m(it)!=="svelte-1rhbetf"&&(it.innerHTML=re),rt.forEach(e),ot.forEach(e),bt=o(t),M=a(t,"H2",{class:!0});var At=p(M);j=a(At,"A",{id:!0,class:!0,href:!0});var be=p(j);ct=a(be,"SPAN",{});var _e=p(ct);d(P.$$.fragment,_e),_e.forEach(e),be.forEach(e),Ot=o(At),at=a(At,"SPAN",{"data-svelte-h":!0}),m(at)!=="svelte-v9e6tq"&&(at.textContent=pe),At.forEach(e),_t=o(t),Z=a(t,"P",{"data-svelte-h":!0}),m(Z)!=="svelte-1ofkc7p"&&(Z.innerHTML=he),Mt=o(t),d(A.$$.fragment,t),Jt=o(t),S=a(t,"P",{"data-svelte-h":!0}),m(S)!=="svelte-8jifzq"&&(S.innerHTML=me),Tt=o(t),d(X.$$.fragment,t),xt=o(t),z=a(t,"P",{"data-svelte-h":!0}),m(z)!=="svelte-1gn5ojl"&&(z.innerHTML=ce),Ct=o(t),d(B.$$.fragment,t),jt=o(t),Y=a(t,"P",{"data-svelte-h":!0}),m(Y)!=="svelte-1o1qut7"&&(Y.innerHTML=de),kt=o(t),d(F.$$.fragment,t),Ht=o(t),J=a(t,"H2",{class:!0});var St=p(J);k=a(St,"A",{id:!0,class:!0,href:!0});var Me=p(k);dt=a(Me,"SPAN",{});var Je=p(dt);d(V.$$.fragment,Je),Je.forEach(e),Me.forEach(e),Kt=o(St),st=a(St,"SPAN",{"data-svelte-h":!0}),m(st)!=="svelte-t4854m"&&(st.textContent=ue),St.forEach(e),Ut=o(t),q=a(t,"P",{"data-svelte-h":!0}),m(q)!=="svelte-5qedlp"&&(q.innerHTML=fe),Wt=o(t),d(Q.$$.fragment,t),Gt=o(t),D=a(t,"P",{"data-svelte-h":!0}),m(D)!=="svelte-tvmqyx"&&(D.innerHTML=ve),Lt=o(t),d(O.$$.fragment,t),It=o(t),ut=a(t,"P",{}),p(ut).forEach(e),this.h()},h(){h(y,"name","hf:doc:metadata"),h(y,"content",JSON.stringify(We)),h(x,"id","installation"),h(x,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),h(x,"href","#installation"),h(w,"class","relative group"),h(C,"id","virtual-environment"),h(C,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),h(C,"href","#virtual-environment"),h(b,"class","relative group"),h(j,"id","using-pip"),h(j,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),h(j,"href","#using-pip"),h(M,"class","relative group"),h(k,"id","from-source"),h(k,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),h(k,"href","#from-source"),h(J,"class","relative group")},m(t,l){r(document.head,y),n(t,ft,l),n(t,pt,l),n(t,vt,l),n(t,w,l),r(w,x),r(x,ht),u(H,ht,null),r(w,zt),r(w,K),n(t,$t,l),n(t,U,l),n(t,gt,l),n(t,b,l),r(b,C),r(C,mt),u(W,mt,null),r(b,Bt),r(b,tt),n(t,yt,l),n(t,G,l),n(t,wt,l),n(t,g,l),r(g,L),r(L,et),r(L,Yt),u(I,L,null),r(g,Ft),r(g,E),r(E,lt),r(E,Vt),u(N,E,null),r(g,qt),r(g,_),r(_,nt),r(_,Qt),u(R,_,null),r(_,Dt),r(_,it),n(t,bt,l),n(t,M,l),r(M,j),r(j,ct),u(P,ct,null),r(M,Ot),r(M,at),n(t,_t,l),n(t,Z,l),n(t,Mt,l),u(A,t,l),n(t,Jt,l),n(t,S,l),n(t,Tt,l),u(X,t,l),n(t,xt,l),n(t,z,l),n(t,Ct,l),u(B,t,l),n(t,jt,l),n(t,Y,l),n(t,kt,l),u(F,t,l),n(t,Ht,l),n(t,J,l),r(J,k),r(k,dt),u(V,dt,null),r(J,Kt),r(J,st),n(t,Ut,l),n(t,q,l),n(t,Wt,l),u(Q,t,l),n(t,Gt,l),n(t,D,l),n(t,Lt,l),u(O,t,l),n(t,It,l),n(t,ut,l),Et=!0},p:xe,i(t){Et||(f(H.$$.fragment,t),f(W.$$.fragment,t),f(I.$$.fragment,t),f(N.$$.fragment,t),f(R.$$.fragment,t),f(P.$$.fragment,t),f(A.$$.fragment,t),f(X.$$.fragment,t),f(B.$$.fragment,t),f(F.$$.fragment,t),f(V.$$.fragment,t),f(Q.$$.fragment,t),f(O.$$.fragment,t),Et=!0)},o(t){v(H.$$.fragment,t),v(W.$$.fragment,t),v(I.$$.fragment,t),v(N.$$.fragment,t),v(R.$$.fragment,t),v(P.$$.fragment,t),v(A.$$.fragment,t),v(X.$$.fragment,t),v(B.$$.fragment,t),v(F.$$.fragment,t),v(V.$$.fragment,t),v(Q.$$.fragment,t),v(O.$$.fragment,t),Et=!1},d(t){t&&(e(ft),e(pt),e(vt),e(w),e($t),e(U),e(gt),e(b),e(yt),e(G),e(wt),e(g),e(bt),e(M),e(_t),e(Z),e(Mt),e(Jt),e(S),e(Tt),e(xt),e(z),e(Ct),e(jt),e(Y),e(kt),e(Ht),e(J),e(Ut),e(q),e(Wt),e(Gt),e(D),e(Lt),e(It),e(ut)),e(y),$(H),$(W),$(I),$(N),$(R),$(P),$(A,t),$(X,t),$(B,t),$(F,t),$(V),$(Q,t),$(O,t)}}}const We={local:"installation",sections:[{local:"virtual-environment",title:"Virtual Environment"},{local:"using-pip",title:"Using pip"},{local:"from-source",title:"From Source"}],title:"Installation"};function Ge(te){return Ce(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Re extends je{constructor(y){super(),ke(this,y,Ge,Ue,Te,{})}}export{Re as component};
